<?php
require_once("../config/conexion.php");
require_once("../models/Asignatura.php");
require_once("../models/Permisos.php");
$asignatura = new Asignatura();
/*=============================================
    JAVASCRIPT
    =============================================*/
switch ($_GET["op"]) {
    case "consultar_asignatura":
        $datos = $asignatura->Asignatura_por_ID($_POST["asignaturadbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["asignaturadbk"] = $row["asignaturadbk"];
                $output["descripcion"] = $row["descripcion"];
                $output["estado"] = $row["estado"];                
            }
            echo json_encode($output);
        }
        break;
    case "listar":
        $datos = $asignatura->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("ASIGNATURA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["asignaturadbk"];
            $sub_array[] = $row["descripcion"];                        
            if ($estado == 1) {
                if ($row["estado"] != "INACTIVO") {
                    $sub_array[] = '<td><button class="btn btn-success btn-xs btnActivarAsignatura" idAsignatura="' . $row["asignaturadbk"] . '" estadoAsignatura="INACTIVO">Activo</button></td>';
                } else {
                    $sub_array[] = '<td><button class="btn btn-danger btn-xs btnActivarAsignatura" idAsignatura="' . $row["asignaturadbk"] . '" estadoAsignatura="ACTIVO">Inactivo</button></td>';
                }
            }
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["asignaturadbk"] . ');" id="' . $row["asignaturadbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminar(' . $row["asignaturadbk"] . ');" id="' . $row["asignaturadbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["asignaturadbk"] . ');" id="' . $row["asignaturadbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "guardar":
        $datos = array("tabla" => "asignatura",
            "asignaturadbk" => $_POST["asignaturadbk"],
            "descripcion" => $_POST["descripcion"]            
        );
        $asignatura->mdlActualizarAsignatura($datos);
        break;
    case "comboAsignatura":
        $datos = $asignatura->Consultar("all");
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['asignaturadbk'] . "'>" . $row['descripcion'] . "</option>";
            }
            echo $html;
        }
        break;  
    case "comboAsignaturaDocente":
        $datos = $asignatura->Consultar("asignaturaDocente");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>--SELECCIONE--</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['mallacurriculardbk'] . "'>" . $row['carrera'] . " - ". $row['asignatura'] . "</option>";
            }
            echo $html;
        }
        break;
    case "comboAsignaturaEstudiante":
        $datos = $asignatura->Consultar("asignaturaEstudiante");
        if (is_array($datos) == true and count($datos) > 0) {
            $html .= "<option value=''>--SELECCIONE--</option>";
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['detalledbk'] . "'>". $row['asignatura'] . "</option>";
            }
            echo $html;
        }
        break;        
    case "estado":
        if (isset($_POST["activarId"]) && isset($_POST["activarAsignatura"])) {
            $datos = array("tabla" => "asignatura",
                "asignaturadbk" => $_POST["activarId"],
                "estado" => $_POST["activarAsignatura"]
            );
            $asignatura->mdlActualizarEstado($datos);
        }
        break;
    case "eliminar_asignatura":
        $datos = $asignatura->Eliminar_por_ID($_POST["asignaturadbk"]);        
        break;   
    case "comboFiltro":
        $datos = $asignatura->ConsultarFiltro($_POST["periodbk"],$_POST["carreradbk"]);
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['asignaturadbk'] . "'>" . $row['descripcion'] . " - ".$row['nivel']."</option>";
            }
            echo $html;
        }
        break;     
}
?>
